
; Monitorprogramm fuer CPD2

		TITLE	CPD2DEF

		.Z80


	; Vereinbarungsteil
	; 
	;---Kanaladressen---

; A0 = CONTSEL,  A1 = PORTSEL,  A2 = /CE

PIO1AD		EQU     11111000B		;PIO 1 A Daten
PIO1AC		EQU     11111001B		;PIO 1 A Kommandos
PIO1BD		EQU     11111010B		;PIO 1 B Daten
PIO1BC		EQU     11111011B		;PIO 1 B Kommandos

; Bitmaske Port A Daten - alles Eingaenge
BITMSKAE	EQU	11111111B
; Bitmaske Port A Daten - alles Ausgaenge
BITMSKAA	EQU	00000000B

; PIO 1 - Port B - Initialwert der Daten des Ausgaberegisters
; B0 = DDWR   = 1 = High wie Widerstand
; B1 = DDAC   = 1 = (Eingang)
; B2 = SDEN   = 0 = SDEN inaktiv
; B3 = SRAC   = 0 = (Eingang) 
; B4 = RAMSEL = 0 = Low wie Widerstand - ROM ist aktiv
; B5 = LED_RT = 1 = Low LED RT aus 
; B6 = LED_GE = 0 = Low LED GE aus
; B7 = LED_GN = 0 = Low LED GN aus
PIO1BDAR	EQU 	00100011B

BIT_RAMSEL	EQU	4

BIT_LED_RT	EQU	5
BIT_LED_GE	EQU	6
BIT_LED_GN	EQU	7

	;Vereinbarungsteil ROM/RAM

; ROM von 00000H bis 07FFFH
; RAM von 08000H bis 0FFFFH

RAM_PIO1BDAR	EQU	08300H

STACK		EQU	08200H

RAMSTART	EQU	08000H

RAM_PIO1BDAR2	EQU	06000H